if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vRegistriVenditaPerTerminale]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vRegistriVenditaPerTerminale]
GO


/****** Object:  View [dbo].[vRegistriVenditaPerTerminale]    Script Date: 14/07/2022 11:53:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vRegistriVenditaPerTerminale]
AS
SELECT        dbo.DocumentiRighe.IDCausaleMovimento, dbo.vEditori.RagioneSociale AS Editore, dbo.vDL.RagioneSociale AS DL, dbo.vClienti.RagioneSociale AS Cliente, dbo.Utenti.UserName, dbo.Utenti.IDUtente, 
                         dbo.DocumentiRighe.DataOraVendita, dbo.DocumentiRighe.Qta, dbo.DocumentiRighe.Descrizione AS Testata, dbo.DocumentiRighe.PrezzoCopertina, dbo.DocumentiRighe.PrezzoNetto, dbo.DocumentiRighe.PrezzoCessione, 
                         dbo.DocumentiRighe.IVA, dbo.Uscite.NumeroCopertina, dbo.IVA.Aliquota, dbo.Prodotti.IDProd, dbo.Uscite.IDDL, dbo.vEdicola.RagioneSociale, dbo.vEdicola.Indirizzo, dbo.vEdicola.Cap, dbo.vEdicola.Citta, dbo.vEdicola.Prov, 
                         dbo.vEdicola.Telefono, dbo.vEdicola.Codicefiscale, dbo.vEdicola.PartitaIVA, dbo.vDL.Cognome, dbo.Uscite.IDEditore, dbo.Prodotti.IDTipoProdotto, dbo.DocumentiRighe.Provenienza, dbo.DocumentiRighe.IDUscita, 
                         Documenti.IDDocumento, Documenti.Pagato, Documenti.Contabilizzato, dbo.Uscite.Giacenza, dbo.Uscite.DataUscita,
                             (SELECT        TOP (1) IDTerminale
                               FROM            dbo.DocumentoTerminale
                               WHERE        (IDDocumento = Documenti.IDDocumento)) AS TERM, dbo.Uscite.InfoRiv, dbo.DocumentiRighe.TipoRecord, Documenti.idTipoPagamento, Documenti.DOC_DATA
FROM            dbo.Utenti RIGHT OUTER JOIN
                         dbo.Documenti AS Documenti ON dbo.Utenti.IDUtente = Documenti.IDOperatore RIGHT OUTER JOIN
                         dbo.Prodotti RIGHT OUTER JOIN
                         dbo.vEditori RIGHT OUTER JOIN
                         dbo.DocumentiRighe LEFT OUTER JOIN
                         dbo.vClienti ON dbo.DocumentiRighe.IDCliente = dbo.vClienti.IDSoggetto LEFT OUTER JOIN
                         dbo.IVA ON dbo.DocumentiRighe.IVA = dbo.IVA.IDIva RIGHT OUTER JOIN
                         dbo.Uscite ON dbo.DocumentiRighe.IDUscita = dbo.Uscite.IDUscita LEFT OUTER JOIN
                         dbo.vDL ON dbo.Uscite.IDDL = dbo.vDL.IDSoggetto ON dbo.vEditori.IDSoggetto = dbo.Uscite.IDEditore ON dbo.Prodotti.IDProd = dbo.Uscite.IDProd ON Documenti.IDDocumento = dbo.DocumentiRighe.IDDocumento CROSS JOIN
                         dbo.vEdicola
WHERE        (dbo.DocumentiRighe.IDCausaleMovimento = 21)

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[24] 4[34] 2[14] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1[14] 4[66] 3) )"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1[17] 4) )"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Utenti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 229
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Documenti"
            Begin Extent = 
               Top = 6
               Left = 267
               Bottom = 136
               Right = 477
            End
            DisplayFlags = 280
            TopColumn = 50
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 138
               Left = 38
               Bottom = 268
               Right = 255
            End
            DisplayFlags = 280
            TopColumn = 23
         End
         Begin Table = "vEditori"
            Begin Extent = 
               Top = 270
               Left = 38
               Bottom = 400
               Right = 240
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "DocumentiRighe"
            Begin Extent = 
               Top = 402
               Left = 38
               Bottom = 532
               Right = 278
            End
            DisplayFlags = 280
            TopColumn = 5
         End
         Begin Table = "vClienti"
            Begin Extent = 
               Top = 534
               Left = 38
               Bottom = 664
               Right = 245
            End
            DisplayFlags = 280
            TopColumn = 30
         End
         Begin Table = "IVA"
            Begin Extent = 
               Top = 270
               Left = 278
               Bottom = 400
               Right = 469
            End
            DisplayFlags' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRegistriVenditaPerTerminale'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N' = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 666
               Left = 38
               Bottom = 796
               Right = 299
            End
            DisplayFlags = 280
            TopColumn = 69
         End
         Begin Table = "vDL"
            Begin Extent = 
               Top = 798
               Left = 38
               Bottom = 928
               Right = 240
            End
            DisplayFlags = 280
            TopColumn = 26
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 930
               Left = 38
               Bottom = 1176
               Right = 240
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 43
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 2895
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 2850
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 2190
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 10155
         Alias = 900
         Table = 3030
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRegistriVenditaPerTerminale'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRegistriVenditaPerTerminale'
GO
